## python-oslo.middleware 3.30.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
statsd>=3.2.1 # MIT

=== debian/changelog ===
python-oslo.middleware (3.30.0-0ubuntu1.1) artful; urgency=medium

  * d/p/fix-parsing-of-forwarded-header.patch: Fix invalid parsing of
    forwarded header (LP: #1711573).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Sep 2017 09:09:11 -0400

python-oslo.middleware (3.30.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:03:49 -0400

python-oslo.middleware (3.27.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Drop Breaks/Replaces with oslo-middleware.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:24:35 +0100

python-oslo.middleware (3.26.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:03:46 +0100

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-jinja2 (>= 2.8),
                     python-mock (>= 2.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.5.1),
                     python-statsd (>= 3.2.1),
                     python-stevedore (>= 1.20.0),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.7.1),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-jinja2 (>= 2.8),
                     python3-mock (>= 2.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.context (>= 2.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.5.1),
                     python3-statsd (>= 3.2.1),
                     python3-stevedore (>= 1.20.0),
                     python3-testtools (>= 1.4.0),
                     python3-webob (>= 1.7.1),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.middleware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.middleware
Homepage: https://github.com/openstack/oslo.middleware
Testsuite: autopkgtest-pkg-python

Package: python-oslo.middleware
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-jinja2 (>= 2.8),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-six (>= 1.9.0),
         python-statsd (>= 3.2.1),
         python-stevedore (>= 1.20.0),
         python-webob (>= 1.7.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 2.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.middleware
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-jinja2 (>= 2.8),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.context (>= 2.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-six (>= 1.9.0),
         python3-statsd (>= 3.2.1),
         python3-stevedore (>= 1.20.0),
         python3-webob (>= 1.7.1),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

## python-oslo.middleware 3.34.0

=== requirements.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
-oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
-oslo.context>=2.14.0 # Apache-2.0
-oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
-oslo.utils>=3.20.0 # Apache-2.0
-six>=1.9.0 # MIT
+oslo.config>=5.1.0 # Apache-2.0
+oslo.context>=2.19.2 # Apache-2.0
+oslo.i18n>=3.15.3 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
+six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 WebOb>=1.7.1 # MIT
 debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.middleware (3.34.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:25:16 +0000

python-oslo.middleware (3.34.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 10:19:54 +0000

python-oslo.middleware (3.30.0-2) unstable; urgency=medium

  * Build-depends on python-openstackdocstheme (Closes: #880188).
  * Uploading to unstable.
  * Fixed watch file.
  * Standards-Version is now 4.1.1.
  * Using pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 18:06:14 +0000

python-oslo.middleware (3.30.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Aug 2017 01:05:11 +0000

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-debtcollector (>= 1.2.0),
 python-fixtures,
 python-hacking,
 python-jinja2 (>= 2.9.6),
 python-mock,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.1),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.0),
 python-six,
 python-statsd,
 python-stevedore (>= 1.20.0),
 python-testtools (>= 2.2.0),
 python-webob,
 python3-debtcollector (>= 1.2.0),
 python3-fixtures,
 python3-jinja2 (>= 2.9.6),
 python3-mock,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.1),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-six,
 python3-statsd,
 python3-stevedore (>= 1.20.0),
 python3-subunit (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-webob,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.middleware
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.middleware.git
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo.middleware
Architecture: all
Depends:
 python-debtcollector (>= 1.2.0),
 python-jinja2 (>= 2.9.6),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.1),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six,
 python-statsd,
 python-stevedore (>= 1.20.0),
 python-webob,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 2.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 2.x module.

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

Package: python3-oslo.middleware
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-jinja2 (>= 2.9.6),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.1),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-statsd,
 python3-stevedore (>= 1.20.0),
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.middleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.middleware-doc/usr/share/doc/python-oslo.middleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.middleware 3.36.0

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
-oslo.config>=5.1.0 # Apache-2.0
+Jinja2>=2.10 # BSD License (3 clause)
+oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.middleware (3.36.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:09:38 +0200

python-oslo.middleware (3.36.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 00:37:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-oslo.middleware
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
@@ -13,41 +13,43 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-coverage,
  python-debtcollector (>= 1.2.0),
  python-fixtures,
  python-hacking,
- python-jinja2 (>= 2.9.6),
+ python-jinja2 (>= 2.10),
  python-mock,
- python-openstackdocstheme (>= 1.17.0),
- python-oslo.config (>= 1:5.1.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.context (>= 2.19.1),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1.10.0),
+ python-oslotest (>= 1:3.2.0),
  python-six,
  python-statsd,
+ python-stestr (>= 2.0.0),
  python-stevedore (>= 1.20.0),
  python-testtools (>= 2.2.0),
  python-webob,
  python3-debtcollector (>= 1.2.0),
  python3-fixtures,
- python3-jinja2 (>= 2.9.6),
+ python3-jinja2 (>= 2.10),
  python3-mock,
- python3-oslo.config (>= 1:5.1.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1.10.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-six,
  python3-statsd,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1.20.0),
  python3-subunit (>= 0.0.18),
  python3-testtools (>= 2.2.0),
@@ -63,8 +65,8 @@
 Architecture: all
 Depends:
  python-debtcollector (>= 1.2.0),
- python-jinja2 (>= 2.9.6),
- python-oslo.config (>= 1:5.1.0),
+ python-jinja2 (>= 2.10),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.context (>= 2.19.1),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.utils (>= 3.33.0),
@@ -99,8 +101,8 @@
 Architecture: all
 Depends:
  python3-debtcollector (>= 1.2.0),
- python3-jinja2 (>= 2.9.6),
- python3-oslo.config (>= 1:5.1.0),
+ python3-jinja2 (>= 2.10),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-oslo.middleware-doc/usr/share/doc/python-oslo.middleware-doc/html
+	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.middleware-doc/usr/share/doc/python-oslo.middleware-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.middleware/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.middleware 3.37.1

=== debian/changelog ===
python-oslo.middleware (3.37.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:22:37 +0200

python-oslo.middleware (3.37.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed package versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 22:33:13 +0100

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 97~),
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-coverage,
 python-debtcollector,
 python-fixtures,
 python-hacking,
 python-jinja2,
 python-mock,
 python-oslo.config,
 python-oslo.context,
 python-oslo.i18n,
 python-oslo.serialization,
 python-oslo.utils,
 python-oslotest,
 python-six,
 python-statsd,
 python-stestr,
 python-stevedore,
 python-testtools,
 python-webob,
 python3-debtcollector,
 python3-fixtures,
 python3-jinja2,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-six,
 python3-statsd,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testtools,
 python3-webob,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.middleware
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.middleware.git
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

Package: python3-oslo.middleware
Architecture: all
Depends:
 python3-debtcollector,
 python3-jinja2,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 python3-statsd,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

## python-oslo.middleware 3.38.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.middleware (3.38.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:39:43 +0200

python-oslo.middleware (3.38.1-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 13:54:09 +0200

python-oslo.middleware (3.37.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed python2 build-depends (Closes: #934924).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2019 12:37:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,37 +7,18 @@
  Ivan Udovichenko <iudovichenko@mirantis.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 9),
  dh-python,
  openstack-pkg-tools (>= 97~),
- python-all,
- python-pbr,
- python-setuptools,
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python-coverage,
- python-debtcollector,
- python-fixtures,
- python-hacking,
- python-jinja2,
- python-mock,
- python-oslo.config,
- python-oslo.context,
- python-oslo.i18n,
- python-oslo.serialization,
- python-oslo.utils,
- python-oslotest,
- python-six,
- python-statsd,
- python-stestr,
- python-stevedore,
- python-testtools,
- python-webob,
+ python3-coverage,
  python3-debtcollector,
  python3-fixtures,
+ python3-hacking,
  python3-jinja2,
  python3-mock,
  python3-openstackdocstheme,

## python-oslo.middleware 4.0.0

=== debian/changelog ===
python-oslo.middleware (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:52:54 -0400

python-oslo.middleware (3.38.1-0ubuntu2) focal; urgency=medium

  * Use python3 when detecting module name from setup.py in autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Nov 2019 14:26:43 +0000

python-oslo.middleware (3.38.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-privacy-breach-in-README.rst.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:46:01 -0400

python-oslo.middleware (3.38.0-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:10:12 -0400

python-oslo.middleware (3.38.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:13:45 -0400

python-oslo.middleware (3.38.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 12:11:30 -0400

python-oslo.middleware (3.37.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:03:54 +0000

python-oslo.middleware (3.37.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/tests/control: Drop use of needs-recommends.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:23:11 +0000

python-oslo.middleware (3.36.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-privacy-breach-in-README.rst.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 15:04:46 -0400

python-oslo.middleware (3.35.0-2ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Switch to python3-sphinx for doc build.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 09:23:53 +0100

python-oslo.middleware (3.35.0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Update Vcs-* fields.
    - d/control: Enable autopkgtest-pkg-python.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 10:17:41 +0100

python-oslo.middleware (3.34.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:48:01 +0000

python-oslo.middleware (3.33.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:53 +0000

python-oslo.middleware (3.32.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-parsing-of-forwarded-header.patch: Drop, fixed upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 16:48:28 +0000

## python-oslo.middleware 4.0.2

=== requirements.txt ===
--- 
+++ 
@@ -10,6 +10,6 @@
 oslo.utils>=3.33.0 # Apache-2.0
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-WebOb>=1.7.1 # MIT
+WebOb>=1.8.0 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 statsd>=3.2.1 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.middleware (4.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:47:25 -0400

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 97~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-jinja2 (>= 2.10),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-statsd (>= 3.2.1),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.middleware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.middleware
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

Package: python3-oslo.middleware
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-jinja2 (>= 2.10),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-statsd (>= 3.2.1),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.8.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.middleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.middleware-doc/usr/share/doc/python-oslo.middleware-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: python-ostestr, python-import
Depends: @, @builddeps@, python3-os-testr
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.middleware/ oslo.middleware-(\d.*)\.tar\.gz

## python-oslo.middleware 4.1.1

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 oslo.context>=2.19.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 WebOb>=1.8.0 # MIT
 debtcollector>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation

openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.middleware (4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 09:47:34 +0200

python-oslo.middleware (4.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 13:16:54 +0200

python-oslo.middleware (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:15:30 +0200

python-oslo.middleware (4.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:13:38 +0200

python-oslo.middleware (4.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed  Ivan Udovichenko and David Della Vecchia from uploaders, as
    they haven't uploaded in a long time.
  * Standards-Version: 4.5.0.
  * debhelper-compat (= 11).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:33:20 +0200

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 97~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-jinja2,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-statsd,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testtools,
 python3-webob,
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.middleware
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.middleware.git
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

Package: python3-oslo.middleware
Architecture: all
Depends:
 python3-debtcollector,
 python3-jinja2,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-statsd,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

## python-oslo.middleware 4.2.0

=== debian/changelog ===
python-oslo.middleware (4.2.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:36:02 -0400

python-oslo.middleware (4.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:34:32 -0400

python-oslo.middleware (4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:20 -0400

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 97~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-jinja2 (>= 2.10),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-statsd (>= 3.2.1),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.middleware
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.middleware
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

Package: python3-oslo.middleware
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-jinja2 (>= 2.10),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-statsd (>= 3.2.1),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.8.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

## python-oslo.middleware 4.4.0

=== debian/changelog ===
python-oslo.middleware (4.4.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 17:53:40 +0000

python-oslo.middleware (4.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:13:53 -0400

python-oslo.middleware (4.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:41:39 -0400

## python-oslo.middleware 4.5.0

=== requirements.txt ===
--- 
+++ 
@@ -12,3 +12,4 @@
 WebOb>=1.8.0 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 statsd>=3.2.1 # MIT
+bcrypt>=3.1.3 # Apache-2.0

=== debian/changelog ===
python-oslo.middleware (4.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 15:13:52 -0500

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-bandit (>= 1.1.0),
+ python3-bcrypt (>= 3.1.3),
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-jinja2 (>= 2.10),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.0),
@@ -59,6 +59,7 @@
 Package: python3-oslo.middleware
 Architecture: all
 Depends:
+ python3-bcrypt (>= 3.1.3),
  python3-debtcollector (>= 1.2.0),
  python3-jinja2 (>= 2.10),
  python3-oslo.config (>= 1:5.2.0),

## python-oslo.middleware 4.5.1

=== debian/changelog ===
python-oslo.middleware (4.5.1-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 24 Mar 2022 15:37:22 +0000

python-oslo.middleware (4.5.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 16:34:18 +0100

python-oslo.middleware (4.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:56:34 +0100

python-oslo.middleware (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:48:00 +0200

python-oslo.middleware (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-bcrypt as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:55:43 +0200

python-oslo.middleware (4.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:12:11 +0200

python-oslo.middleware (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed openstack-pkg-tools version in build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 22:40:08 +0100

## python-oslo.middleware 5.0.0

=== debian/changelog ===
python-oslo.middleware (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:52:15 +0200

python-oslo.middleware (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:32:54 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.middleware/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.middleware 5.1.1

=== debian/changelog ===
python-oslo.middleware (5.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1046082).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:37:22 +0200

python-oslo.middleware (5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:37:14 +0200

python-oslo.middleware (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:59:28 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	rm -rf build
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.middleware 5.2.0

=== debian/changelog ===
python-oslo.middleware (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 14:30:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
 	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:

## python-oslo.middleware 6.0.0

=== debian/changelog ===
python-oslo.middleware (6.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 09:54:22 +0000

python-oslo.middleware (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:29:51 -0400

python-oslo.middleware (5.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:17:28 -0500

python-oslo.middleware (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 16:30:23 -0400

python-oslo.middleware (4.5.1-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:16:03 -0400

python-oslo.middleware (4.5.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:05:00 -0400

## python-oslo.middleware 6.1.0

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.8.0 # MIT
debtcollector>=1.2.0 # Apache-2.0
statsd>=3.2.1 # MIT
bcrypt>=3.1.3 # Apache-2.0

=== debian/changelog ===
python-oslo.middleware (6.1.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:29:33 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Ivan Udovichenko <iudovichenko@mirantis.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools (>= 97~),
  python3-all,
@@ -39,10 +39,9 @@
  python3-webob (>= 1:1.8.0),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.middleware
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.middleware
-Homepage: https://github.com/openstack/oslo.middleware
+Homepage: https://opendev.org/openstack/oslo.middleware
 
 Package: python-oslo.middleware-doc
 Section: doc
